Sign In Register

How can we help you today?

Start a new topic

Question about publishing

Let's suppose my game client is in version 1.0, and also servers scripts.

I need to to version 1.1, but this version needs server scripts also in version 1.1.


First question : when I publish the snapshot, what about current connected users with client version 1.0 ?

 - Are they disconnected (which is not good)

 - Or do they stay connected, but in that case it would cause errors as client 1.0 is not compatible with server scripts 1.1 


--


Othe rproblem : Because of the incompatibility I do not allow client 1.1 to connect to server 1.0 (I use a parameter in mata config).

The problem is that for iOS, Apple guys need to test client 1.1, but they can't connect to live server 1.0, and it does not work.

=> How can I proceed ?


Thanks for best practices sharing :)


Eric



1 person has this question

We have the same problem as Greg.


As I understand it, it's not possible to share the user database between different game environments.


Whilst the suggested approach of submitting a new version of a game to Apple for certification would work what happens when that new version is published along with it's new back end?

How do you get GameSparks to swap over all the user accounts from the old backend to the new without losing any user data?


Eric,


Maybe the solution proposed by me on this post will help you

https://support.gamesparks.net/support/discussions/topics/1000059260


Eric you can set in iTunes  to have the new version go live immediately, or on a specific date or time.

Yes Greg, but if I have no way to tell that when Apple is reviewing I go to preview, and when they publish it for real users I go to live...

Also Eric, the preview snapshots have 100 concurrent user limits, for letting Apple evaluate the new version this should be more than enough?

Hi Jeff, 


Take a look at this document on Multi-Stage publishing...


https://docs.gamesparks.net/tutorials/multi-stage-publishing

You guys are confusing me - I don't see anything in the docs that say more than one snapshot can be 'live' at once...

Hi Greg,


I understand and that's what I did.

But when my 1.0 is live, I send my 1.1 to apple for validation, but they can't connect (and so don't accept the app) because versions do not match.



If your game client is v1.0, it should connect to your v1.0 snapshot.

If your game client is v1.1, it should connect to your v.1.1 snapshot.


If you require your users on 1.0 to update, simply show a dialog in game, 'Your game client is out of date.'

This will force them to update the game in the store.


But you should allow them to play on 1.0 still if possible.

Login to post a comment